Package org.drinkless.tdlib

# Class TdApi.PasswordState

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PasswordState

Enclosing class:
  `TdApi`

public static class TdApi.PasswordState extends TdApi.Object
Represents the current state of 2-step verification.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `hasPassportData`
  True, if some Telegram Passport elements were saved.
  `boolean`
  `hasPassword`
  True, if a 2-step verification password is set.
  `boolean`
  `hasRecoveryEmailAddress`
  True, if a recovery email is set.
  `String`
  `loginEmailAddressPattern`
  Pattern of the email address set up for logging in.
  `String`
  `passwordHint`
  Hint for the password; may be empty.
  `int`
  `pendingResetDate`
  If not 0, point in time (Unix timestamp) after which the 2-step verification password can be reset immediately using resetPassword.
  `TdApi.EmailAddressAuthenticationCodeInfo`
  `recoveryEmailAddressCodeInfo`
  Information about the recovery email address to which the confirmation email was sent; may be null.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PasswordState()`
  Represents the current state of 2-step verification.
  `PasswordState(boolean hasPassword, String passwordHint, boolean hasRecoveryEmailAddress, boolean hasPassportData, TdApi.EmailAddressAuthenticationCodeInfo recoveryEmailAddressCodeInfo, String loginEmailAddressPattern, int pendingResetDate)`
  Represents the current state of 2-step verification.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### hasPassword

    public boolean hasPassword
    True, if a 2-step verification password is set.

  - ### passwordHint

    public String passwordHint
    Hint for the password; may be empty.

  - ### hasRecoveryEmailAddress

    public boolean hasRecoveryEmailAddress
    True, if a recovery email is set.

  - ### hasPassportData

    public boolean hasPassportData
    True, if some Telegram Passport elements were saved.

  - ### recoveryEmailAddressCodeInfo

    @Nullable public TdApi.EmailAddressAuthenticationCodeInfo recoveryEmailAddressCodeInfo
    Information about the recovery email address to which the confirmation email was sent; may be null.

  - ### loginEmailAddressPattern

    public String loginEmailAddressPattern
    Pattern of the email address set up for logging in.

  - ### pendingResetDate

    public int pendingResetDate
    If not 0, point in time (Unix timestamp) after which the 2-step verification password can be reset immediately using resetPassword.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PasswordState

    public PasswordState()
    Represents the current state of 2-step verification.

  - ### PasswordState

    public PasswordState(boolean hasPassword, String passwordHint, boolean hasRecoveryEmailAddress, boolean hasPassportData, TdApi.EmailAddressAuthenticationCodeInfo recoveryEmailAddressCodeInfo, String loginEmailAddressPattern, int pendingResetDate)
    Represents the current state of 2-step verification.
    Parameters:
      `hasPassword` - True, if a 2-step verification password is set.
      `passwordHint` - Hint for the password; may be empty.
      `hasRecoveryEmailAddress` - True, if a recovery email is set.
      `hasPassportData` - True, if some Telegram Passport elements were saved.
      `recoveryEmailAddressCodeInfo` - Information about the recovery email address to which the confirmation email was sent; may be null.
      `loginEmailAddressPattern` - Pattern of the email address set up for logging in.
      `pendingResetDate` - If not 0, point in time (Unix timestamp) after which the 2-step verification password can be reset immediately using resetPassword.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR